function [controller] = initializeController(args)

    arguments
        args.type char {mustBeMember(args.type,{'open-loop', 'iff'})} = 'open-loop'
    end

    controller = struct();

    switch args.type
      case 'open-loop'
        controller.type = 1;
        controller.name = 'Open-Loop';
      case 'iff'
        controller.type = 2;
        controller.name = 'Decentralized Integral Force Feedback';
    end
end
